Bug 9762 - Problems with printtool
Summary: Problems with printtool
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: printtool (Show other bugs)
(Show other bugs)
Version: 6.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-02-24 19:04 UTC by drpetrea
Modified: 2008-05-01 15:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-03-29 21:11:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description drpetrea 2000-02-24 19:04:27 UTC
I own a PC with a Celeron 333 on an Acorp 6VIA86 MB, 64 MB RAM, Quantum
Fireball(?) 6.4 GB HDD, S3Savage4a VGA, Genius SoundMaker and a Canon BJC-
240 printer.

When I installed RedHat 6.0 the instalation program recognized the printer
on lp0 and the printer worked out fine. Now, with the 6.1. version, the
printtool program doesn't see it on any of the ports.

The thing I did was to upgrade the 6.0 version to 6.1. instead of a clean
install, but I am not satisfied with this solution for other reasons.

Comment 1 chandler 2000-03-29 20:25:59 UTC
Exact same problem here except bought new version and installed
fresh.  Printer worked fine for 6.0 but 6.1, the printer is
not seen under printtool.

The modules that are autoloading are: parport, parport_probe, lp.

1. Tried sending document straight to /dev/lp0 but got error message that no
device present.
2. Tested all the methods in the Print-HOWTO guide but didn't help.
3. Recompiled a custom kernel to make sure that parport devices are included.
4. Checked /proc/parport but nothing in directory.
5. Booted into MS Windows and the printer works fine.
6. Checked continuity of all wires in printer cable and they are fine.
7. Pulled all non-essential cards out of PC slots (no help)
8. /proc/interrupts shows interrupt 7 as being clear.

Computer here is AMD-200/MMX, 80 Meg RAM, RedHat 6.1, Voodoo Banshee 16 Meg,
		 SB_AVE (ISA), 28.8K Modem (ISA), Cannon BJC-2000.

Comment 2 Bill Nottingham 2000-03-29 21:11:59 UTC
You need 'alias parport_lowlevel parport_pc' in /etc/conf.modules.


Note You need to log in before you can comment on or make changes to this bug.